
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_CONTENT_DATABASE_ENTRIES_H
#define PG_CONTENT_DATABASE_ENTRIES_H

#include "csm/ContentDbase.h"

enum { cdbeNone = 0, cdbeText, cdbeTag, cdbeEnd };


class CdbeText: public CdbEntry {
	public:
		virtual int type() const { return cdbeText; }

		virtual void image(const String &image);

		virtual OBStream &store(OBStream &ol) const;
		virtual IBStream &load(IBStream &il);

		virtual ostream &print(ostream &os) const;
		virtual void print(CdbEntryPrnOpt &) const;

	public:
		String theImage;
};


class CdbeTag: public CdbeText {
	public:
		virtual int type() const { return cdbeTag; }
		virtual ostream &print(ostream &os) const;
		virtual void print(CdbEntryPrnOpt &) const;
};

#endif
