
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "base/polygraph.h"

#include <limits.h>

#include "xstd/Rnd.h"
#include "base/AggrStat.h"
#include "xstd/gadgets.h"

AggrStat RndDistrStat(RndDistr *d, double scale, int sampleSize) {
	Assert(d);
	AggrStat s;
	while (sampleSize-- > 0) {
		const double t = scale * d->trial();
		s.record((int)MiniMax((double)INT_MIN, t, (double)INT_MAX));
	}
	return s;
}
