/* 
 * %%nomodsWarning
 */

/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "pgl.h"

#include "PglParser.h" /* to get tokens from the parser */
#include "PglLexer.h"

%%filters

PglLexer::PglLexer(istream &aSource, const char *aFName): GLexer(aSource, aFName) {
	static FinalInfo _finalInfo[] = %%finalStates;
	finalInfo = _finalInfo;
	initialState = %%initialState;
}

int PglLexer::transition(int s, int c) {
	static short int const transTable[%%states][%%charSet] = %%stateTransition;

	return(transTable[s][c+1]);
}
