
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "base/polygraph.h"

#include "runtime/SharedOpts.h"
#include "server/SrvOpts.h"

SrvOpts TheSrvOpts;

SrvOpts::SrvOpts():
	ignoreUrls(this,      "ign_urls <bool>",    "generate content regardless of the URLs", false) {
}

bool SrvOpts::validate() const {
	return OptGrp::validate();
}
